%define anolis_release 6
Name:		perl-Config-Tiny
Version:	2.28
Release:	%{anolis_release}%{?dist}
Summary:	Perl module for reading and writing .ini style configuration files
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Config-Tiny
Source0:	https://cpan.metacpan.org/modules/by-module/Config/Config-Tiny-%{version}.tgz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(File::Spec) >= 3.30
BuildRequires:	perl(File::Temp) >= 0.22
BuildRequires:	perl(Test::More) >= 1.001002
BuildRequires:	perl(UNIVERSAL::isa)
BuildRequires:	perl(utf8)
# Runtime

%description
Config::Tiny is a Perl module designed for reading and writing .ini
style configuration files. It is designed for simplicity and ease of
use, and thus only supports the most basic operations.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Config-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Config/
%{_mandir}/man3/Config::Tiny.3*

%files doc
%doc Changes README

%changelog
* Tue Feb 7 2023 Funda Wang <fundawang@yeah.net> - 2.28-6
- Import package for anolis 23
